.aligncenter {
  float: center;
}

.alignright {
  float: right;
}

.alignleft {
  float: left;
}

/* Empty. Add your own CSS if you like */
.larger {
    font-size: x-large;
}

body {
  /*cursor: url('http://ionicframework.com/img/finger.png'), auto;*/
}

.view-with-bg{
	background-image: url('../img/background.jpg');
	background-size: cover;
}

/*
 * http://docs.angularjs.org/api/ng/directive/ngShow#usage_animations
 */
.list .item.item-accordion {
  line-height: 38px;
  padding-top: 0;
  padding-bottom: 0;
  transition: 0.09s all linear;
}
.list .item.item-accordion.ng-hide {
  line-height: 0px;
}
.list .item.item-accordion.ng-hide-add,
.list .item.item-accordion.ng-hide-remove {
  display: block !important;
}

#outer {
    /*move the whole container 50px to the left side*/
    margin-left:14px;
    margin-right:-14px;
}

#inner {
    /*or move the whole container 50px to the right side*/
    margin-left:5px;
    margin-right:-5px;
}

.item.image-royal {
  background-color: #3DC5FF;}

.background-royal {
  background-color: #3DC5FF; }

.item.item-royal {
  background-color: #3DC5FF;}

.bar.bar-royal {
  background-color: #3DC5FF;
}

.item.activated{
  background-color: #3DC5FF;
}

#menu a:active {
    background: #3DC5FF;
    color:blue;
}

.slider {
height: 100%; /* slider height you want */
}
.slider-slide {
 color: #000;
 background-color: #fff;
 height: 100%;
}

.slider-pager-page {
  color: white !important;
}

.slider-pager-page.active {
  color: #3DC5FF !important;
}

/*Animations*/
@-webkit-keyframes slideInBothWays {
  0% {
    -webkit-transform: translate3d(-100%,0,0);
  }

  50% {
    -webkit-transform: translate3d(50%,0,0);
  }

  100% {
    -webkit-transform: translate3d(0,0,0);
  }
}

.slide-in-both-ways {
   -webkit-animation: slideInBothWays ease-in 1;
  animation: slideInBothWays ease-in 1;
  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
  -webkit-animation-duration: 750ms;
  animation-duration: 750ms;
}

/*Select Field*/
.ion-input-select--large,
.ion-input-select,
select {
  -webkit-appearance:none;
  background-repeat: no-repeat;
  background-color: rgba(0,0,0,0);
  border:thin solid #dddddd;
  font-weight:300;
  display:inline;
  vertical-align:middle;
  color:#333;
  padding: auto 0;
  overflow:hidden;
  box-sizing:border-box;

}

.ion-input-select--large {
  width:420px;
  font-size:1.6rem;
  background-image: url(http://i.imgur.com/7rGM4IX.png);
  text-indent:40px;
  padding:1.2rem 0;
}

.ion-input-select {
  width:200px;
  font-size:1rem;
  background-image: url(http://i.imgur.com/nA9xx1X.png);
  text-indent:20px;
  padding:.5rem 0;
}

select::-ms-expand {
    display: none;
}

:focus {
  outline:none;
}

/*PopOver*/
ion-popover-view.fit {
  height: auto !important;
}

ion-popover-view.fit ion-content {
  position: relative !important;
}

.platform-android ion-popover-view.fit {
  margin-top: 10px !important;
}

/*PopOver*/
ion-popover-view.fit-top {
  height: auto !important;
}

ion-popover-view.fit-top ion-content {
  position: relative !important;
}

.platform-android ion-popover-view.fit-top {
  margin-bottom: 10px !important;
}

/*Fancy Select*/
fancy-select .list {
  margin: -1px 0; }

/* Items */
/* line 13, ../scss/modules/_fancy-select.scss */
.fancy-select-items {
  position: fixed;
  left: 0;
  width: 100%;
  height: 100%; }
  /* line 19, ../scss/modules/_fancy-select.scss */
  .fancy-select-items .item {
    overflow: hidden;
    /* Clearfix */ }

/* line 24, ../scss/modules/_fancy-select.scss */
.fancy-select-items label p {
  height: 32px;
  line-height: 32px; }

/* line 29, ../scss/modules/_fancy-select.scss */
.fancy-select-icon {
  float: left;
  margin-right: 10px;
  width: 30px;
  text-align: center; }

/* Login */
#login {
  background: url("../img/snappy/background.jpg") no-repeat center center;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;

  .scroll-content {
    display: table !important;
    width: 100% !important;
    height: 100% !important;

    form {
      display: table-cell;
      vertical-align: middle;

      .header {
        padding-bottom: 20px;

        img {
          display: block;
          width: 80%;
          margin: 0 auto;
        }
      }

      .button.button-light.active, .button.button-light.activated {
        color: #fff;
        opacity: inherit;
      }
    }
  }
}

/*Smart Table*/
.select-page {
  width: 50px;
  text-align: center;
}
.pagination li a input {
  padding: 0;
  margin: -5px 0;
}

h4 {
    text-align: center;
}

tr:hover {background-color: #f5f5f5}

  .full button span {
    background-color: limegreen;
    border-radius: 32px;
    color: black;
  }
  .partially button span {
    background-color: orange;
    border-radius: 32px;
    color: black;
  }

.nav-tabs > li > a {
    /*border: 0px solid #000;*/
}

.pointer {
    cursor: pointer;
}

.gray-bg {
  background-color:#F2F2F2;
 }

.button1 {background-color: #FF4500;} /* OrangeRed */

.drop-box {
    background: #F8F8F8;
    border: 5px dashed #DDD;
    width: 200px;
    height: 150px;
    text-align: center;
    /*padding-top: 15px;*/
    margin: 10px;
    margin: 0 auto;
}

.drop-box-square {
    background: #F8F8F8;
    border: 5px dashed #DDD;
    width: 150px;
    height: 150px;
    text-align: center;
    /*padding-top: 15px;*/
    margin: 10px;
    margin: 0 auto;
}

/*
  Responsive Table
*/
  table {
    width: 100%;
    margin:0;
    padding:0;
    border-collapse: collapse;
    border-spacing: 0;
  }

  table tr {
    padding: 5px;
  }

  table th, table td {
    /*padding: 10px;*/
    text-align: center;
  }

  table th {
    text-transform: uppercase;
    font-size: 14px;
    letter-spacing: 1px;
  }

/*
  Responsive Div
*/
.container {
    font-size: 0; /*fix white space*/
}
.container > div {
    font-size: 16px; /*reset font size*/
    display: inline-block;
    vertical-align: top;
    width: 50%;
    text-align: center;
    padding: 5px;
}
@media (max-width: 480px) { /*breakpoint*/
    .container > div {
        display: inline-block;
        width: 100%;
    }
}

#table-container
{
    display:    table;
    width:      90%;
    height:     100%;
    margin: 0 auto;
    padding: 5px;
}

#table-container-wrap
{
    display:    table;
    width:      90%;
    height:     100%;
    margin: 0 auto;
    padding: 5px;
}

@media (max-width: 375px) { /*breakpoint*/
  #table-container-wrap
  {
      display:    table;
      width:      90%;
      height:     100%;
      margin: 0 auto;
      padding: 5px;
      word-break: break-all;
      word-wrap: normal;
  }
}

fieldset {
    font-family: sans-serif;
    border: 5px solid #1F497D;
    /*background: #ddd;*/
    border-radius: 5px;
    padding: 5px;
    padding-bottom: 20px;
    /*height:     100%;*/
    float: left;
    width: 100%;
}

fieldset legend {
    /*background: #1F497D;*/
    color: #1F497D;
    padding: 5px 10px ;
    font-size: 16px;
    /*
    border-radius: 5px;
    box-shadow: 0 0 0 5px #ddd;
    */
    margin-left: 20px;
}

.center {
  text-align: center;
  vertical-align: middle;
}

.hcenter {
  text-align: center;
  vertical-align: middle;
}

.width90 {
  width: 90%;
  vertical-align: middle;
}

.centerTextDiv {
    position: relative;
    float: center;
}

.centerTextDiv p {
    margin: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%); /* to compensate own width and height */
}

.centerTextDiv span {
    margin: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%); /* to compensate own width and height */
}

.floating-box {
    display: inline-block;
    float: center;
    width: 100%;
    padding: 5px 10px ;
}

@media (min-width: 768px) {
  .floating-box {
      display: inline-block;
      float: center;
      width: 550px;
      padding: 5px 10px ;
  }
}

.floating-box2 {
    display: inline-block;
    float: center;
    width: 100%;
    padding: 5px 10px ;
    vertical-align: middle;
}

@media (min-width: 768px) {
  .floating-box2 {
      display: inline-block;
      float: center;
      width: 350px;
      padding: 5px 10px ;
      vertical-align: middle
  }
}

input.hidden {
    position: absolute;
    left: -9999px;
}

#profile-image {
    cursor: pointer;
    background: #8adffb;
    width: 80px;
    height: 80px;
}

.nested-nav-tabs {
    float: left;
}

.showInline
{
    display: inline;
}

.right {
    position: absolute;
    right: 10%;
}

.left20 {
    position: absolute;
    left: 20%;
}

@media print
{
    .no-print, .no-print *
    {
        display: none !important;
    }

    .printable, .printable *
    {
        height: auto;
        overflow: visible;
    }

   .printDiv {
     width: auto;
     height: auto;
     overflow: visible;
   }
}

@media only screen and (max-width: 376px) {
  #showInWeb {
      display: none;
  }
  #showInMobile {
  }
}

@media only screen and (min-width: 376px) {
  #showInMobile {
      display: none;
  }
  #showInWeb {
  }
}

.noborder { border:0px; }

body, html, #wrapper {
    width: 100%;
}

.floating-box3 {
    display: inline-block;
    float: center;
    width: 20%;
    padding: 5px 10px ;
    border: 1px solid white;
    text-align: center;
}

.floating-box4 {
    display: inline-block;
    float: center;
    width: 250px;
    padding: 5px 10px ;
}

.floating-box6 {
    display: inline-block;
    float: center;
    width: 100%;
    padding: 5px 10px ;
}

@media (min-width: 768px) {
  .floating-box4 {
      display: inline-block;
      float: center;
      width: 30%;
      padding: 5px 10px ;
  }
}

.floating-box5-left {
    display: inline-block;
    float: center;
    width: 40%;
    padding: 5px 10px ;
}



@media (min-width: 768px) {
  .floating-box5 {
      display: inline-block;
      float: center;
      width: 150px;
      padding: 5px 10px ;
  }
}

.floating-box50-left {
    display: inline-block;
    float: center;
    width: 100%;
    padding: 5px 10px ;
}

.floating-box50-right {
    display: inline-block;
    float: center;
    width: 100%;
    padding: 5px 10px ;
}

.floating-box30-left {
    display: inline-block;
    float: left;
    width: 100%;
    padding: 5px 10px ;
}

.floating-box50 {
    display: inline-block;
    float: center;
    width: 100%;
    padding: 5px 10px ;
}

@media (min-width: 768px) {
  .floating-box50-left {
      display: inline-block;
      float: left;
      width: 48%;
      padding: 5px 10px ;
  }

  .floating-box50-right {
      display: inline-block;
      float: right;
      width: 48%;
      padding: 5px 10px ;
  }

  .floating-box30-left {
      margin: 6px;
      display: inline-block;
      float: left;
      width: 32%;
      padding: 5px 10px ;
  }

  .floating-box50 {
    display: inline-block;
    float: center;
    width: 48%;
    padding: 5px 10px ;
}
}

.left {
    width: 50%;
    display: inline-block;
    border-width: 0px;
}
.right {
    width: 50%;
    display: inline-block;
    border-width: 0px;
}

.selectedTimeSlot {
    background-color: #3DC5FF;
}

.unSelectedTimeSlot {
    background-color: lightgrey;
}

.bottomleft {
  position: relative;
  left:    8px;
  bottom:   0;
}

.bottomright {
  position: relative;
  right:    5px;
  bottom:   0;
}

.noborder {
  border-width: 0px;
}

.space {
    margin-right:5px;
}

.div-left {
  float:left;
  display:inline;
  padding-left: 5px;
}

.div-right {
  float:right;
  display:inline;
  padding-right: 5px;
}

.div-center {
  float:middle;
  display:inline;
  padding-right: 5px;
}

.padding-left-right-15 {
  padding-right: 15px;
  padding-left: 15px;
  vertical-align:middle;
}

/* Weekday selector*/
.weekday {
  display: inline-block;
  border-radius: 6px;
  background: #dddddd;
  height: 40px;
  width: auto;
  margin-right: 3px;
  line-height: 40px;
  text-align: center;
  cursor: pointer;
}

.selectedWeekday {
  background: #2AD705;
  color: #ffffff;
}

.unSelectedWeekday {
  background: #dddddd;
}


.weekDays-selector input {
  display: none!important;
}

.weekDays-selector input[type=checkbox] + label {
  display: inline-block;
  border-radius: 6px;
  background: #dddddd;
  height: 40px;
  width: 30px;
  margin-right: 3px;
  line-height: 40px;
  text-align: center;
  cursor: pointer;
}

.weekDays-selector input[type=checkbox]:checked + label {
  background: #2AD705;
  color: #ffffff;
}

/* Arrow Box*/
.arrow_box {
  position: relative;
  background: white;
}

.padding0_0 {
  padding: 0px 0px ;
}

.padding1_1 {
  padding: 1px 1px ;
}

.padding5_10 {
  padding: 5px 10px ;
}

.padding3 {
  padding: 5px 5px 5px 5px;
}

.margin0 {
  margin-right: 0px;
  margin-left: 0px;
}

.arrow_box:after {
  bottom: 100%;
  left: 50%;
  border: solid transparent;
  content: " ";
  height: 0;
  width: 0;
  position: absolute;
  pointer-events: none;
  border-color: rgba(87, 175, 213, 0);
  border-bottom-color: white;
  border-width: 23px;
  margin-left: -23px;
}

.bg_grey {
  background: lightgrey;
}

.bg_white {
  background: white;
}

#grid-container
{
    display:    table;
    width:      98%;
    height:     100%;
    margin: 0 auto;
    padding: 5px 10px ;
}

/* Drag & Drop */
*{
    -moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;
}
[ng-drag]{
    -moz-user-select: -moz-none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
[ng-drag]{
    width: 100px;
    height: 100px;
    background: rgba(255,0,0, 0.5);
    color:white;
    text-align: center;
    padding-top:40px;
    display: inline-block;
    margin:0 10px;
    cursor: move;
}
ul.draggable-objects:after{
    display: block;
    content:"";
    clear:both;
}
.draggable-objects li{
    float:left;
    display: block;
    width: 120px;
    height:100px;
}
[ng-drag].drag-over{
    border:solid 1px red;
}
[ng-drag].dragging{
    opacity: 0.5;
}
[ng-drop]{
    background: rgba(0,255,0, 0.5);
    width: 600px;
    height: 200px;
    display: block;
    margin:20px auto;
    position: relative;
}
[ng-drop].drag-enter{
    border:solid 5px red;
}
[ng-drop] span.title{
    display: block;
    position: absolute;
    top:50%;
    left:50%;
    width: 200px;
    height: 20px;
    margin-left: -100px;
    margin-top: -10px;
}
[ng-drop] div{
}


      .lvl-over {
        /* applied to a drop target when a draggable object is over it */
        border: 2px dashed black !important;
      }

      .lvl-target {
        /*
        applied to all drop targets when a drag operation begins
        removed when the drag operation ends
        used to indicate drop targets on a page
        */
        background-color: #ddd;
        opacity: .5;
      }

      [draggable] {
        /* not applied by the directive, but useful to indicate a draggable element */
        -moz-user-select: none;
        -khtml-user-select: none;
        -webkit-user-select: none;
        user-select: none;
        cursor: move;
        border:1px solid black;
      }

.container {
  width: 600px;
  border: 1px solid #CCC;
  box-shadow: 0 1px 5px #CCC;
  border-radius: 5px;
  font-family: verdana;
  margin: 25px auto;
}

.container header {
  background: #f1f1f1;
  background-image: -webkit-linear-gradient( top, #f1f1f1, #CCC );
  background-image: -ms-linear-gradient( top, #f1f1f1, #CCC );
  background-image: -moz-linear-gradient( top, #f1f1f1, #CCC );
  background-image: -o-linear-gradient( top, #f1f1f1, #CCC );
  box-shadow: 0 1px 2px #888;
  padding: 10px;
}

.container h1 {
  padding: 0;
  margin: 0;
  font-size: 16px;
  font-weight: normal;
  text-shadow: 0 1px 2px white;
  color: #888;
  text-align: center;
}

.container section {
  padding: 10px 30px;
  font-size: 12px;
  line-height: 175%;
  color: #333;
}
/******/
.thumbnail { height: 280px !important; }
.btn-droppable { width: 180px; height: 30px; padding-left: 4px; }
.btn-draggable { width: 160px; }
.emage { height: 215px; }
h1 { padding: .2em; margin: 0; }
#products { float:left; width: 500px; margin-right: 2em; }
#cart { width: 200px; float: left; margin-top: 1em; }
#cart ol { margin: 0; padding: 1em 0 1em 3em; }


.box {
  border-radius: 22px 22px 22px 22px;
  -moz-border-radius: 22px 22px 22px 22px;
  -webkit-border-radius: 22px 22px 22px 22px;
  border: 1px solid #000000;
  padding: 10px;
  width: 100px;
  margin: 10px;
  background-color: #69f0ae;
  cursor: pointer !important;
  text-align: center;
  /*position: absolute;*/
}

.box:active {
  cursor: pointer;
}

.box2 {
  border-radius: 22px 22px 22px 22px;
  -moz-border-radius: 22px 22px 22px 22px;
  -webkit-border-radius: 22px 22px 22px 22px;
  border: 1px solid #000000;
  padding: 10px;
  width: 100px;
  margin: 10px;
  background-color: #ff8a80;
  cursor: pointer !important;
  text-align: center;
  /*position: absolute;*/
}

.box-dashed {
  padding: 10px;
  width: 300px;
  height: 200px;
  border: 3px dashed #b0bec5;
  border-radius: 22px 22px 22px 22px;
  -moz-border-radius: 22px 22px 22px 22px;
  -webkit-border-radius: 22px 22px 22px 22px;
  margin: 10px;
  margin-right: 10px;
  align-items: center;
  background-color: #f0f4c3;

}

.over {
  border: 4px dashed #ffeb3b;
}

.container{
    margin-top:30px;
}

.filter-col{
    padding-left:10px;
    padding-right:10px;
}

.inline {
    width: 70px;
    white-space:nowrap;
    overflow:hidden;
}

.floating-box6_inline {
    display: inline-block;
    float: center;
    width: 100%;
    padding: 5px 0px ;
    white-space:nowrap;
    overflow:hidden;
}

.floating-box4_inline {
    display: inline-block;
    float: center;
    width: 100%;
    padding: 5px 0px ;
    white-space:nowrap;
    overflow:hidden;
}

.floating-box4_inline_left {
    display: inline-block;
    float: center;
    width: 100%;
    height: auto;
    padding: 5px 0px;
}

.floating-box4_inline input[type=number]{
  display:inline-block;
  width: 50px;
  vertical-align:middle;
}

.floating-box4_inline label{
  display:inline-block;
  vertical-align:middle;
  padding-top: 2px;
  text-align: center;
}

.floating-box_message {
    display: inline-block;
    float: center;
    width: 100%;
    height: 50%;
    padding: 0px 0px ;
    white-space:nowrap;
    overflow:hidden;
}

.floating-box_message textarea {
    width: 100%;
    height: 200px;
    display: block;
    margin-left: auto;
    margin-right: auto;
  }

@media (min-width: 415px) {
  .floating-box6_inline {
    display: inline-block;
    float: center;
    width: 45%;
    padding: 5px 0px ;
    white-space:nowrap;
    overflow:hidden;
  }

  .floating-box4_inline {
      display: inline-block;
      float: center;
      width: 45%;
      padding: 5px 0px ;
      white-space:nowrap;
      overflow:hidden;
  }

  .floating-box4_inline_left {
      display: inline-block;
      float: left;
      width: 30%;
      height: auto;
      padding: 5px 0px ;
      white-space:nowrap;
      overflow:initial;
  }

  .floating-box_message {
      display: inline-block;
      float: center;
      width: 49.6%;
      height: 100%;
      padding: 2px 0px ;
      white-space:nowrap;
      overflow:hidden;
  }
}

.floating-box_message input[type=text], textarea {
  -webkit-transition: all 0.30s ease-in-out;
  -moz-transition: all 0.30s ease-in-out;
  -ms-transition: all 0.30s ease-in-out;
  -o-transition: all 0.30s ease-in-out;
  outline: none;
  padding: 3px 0px 3px 3px;
  margin: 5px 1px 3px 0px;
  border: 1px solid #DDDDDD;
}

.floating-box_message input[type=text]:focus, textarea:focus {
  box-shadow: 0 0 5px rgba(81, 203, 238, 1);
  padding: 3px 0px 3px 3px;
  margin: 5px 1px 3px 0px;
  border: 1px solid rgba(81, 203, 238, 1);
}

.advance-box {
  padding-top: 2px;
  -webkit-transition:all linear 0.5s;
  transition:all linear 0.5s;
}

.advance-box.ng-hide {
  opacity:0;
  transform: scale(0.2);
}

.fullspan {
  height:100%;
  width:100%;
  overflow: auto;
}

label.serif {
  font-family: "Times New Roman", Times, serif;
}

.header {
  font-weight:bold;
  text-transform:uppercase;
  color:#000000;
  letter-spacing:0pt;
  word-spacing:2pt;
  font-size:12px;
  text-align:left;
  font-family:times new roman, times, serif;
  line-height:1;
}

/*
.add_to_cart:hover {
  background-color:#FF9933;
  text-decoration:none;
  color:#FFFFFF;
}
*/

.add_to_cart {
  display: inline-block;
  float: left;
  padding: 0px 2px ;
  white-space:nowrap;
  overflow:hidden;
  cursor:pointer;
  text-align:center;
  margin-top:8px;
  width:auto;
  height:31px;
}

.st-sort-ascent:before {
  content: '\25B2';
}

.st-sort-descent:before {
  content: '\25BC';
}

.inline_table  {display: block; }
.inline_table  td {display: inline-block; }

#inline-grid-container {
    display: inline-flex;
    width: 98%;
    height: 100%;
    margin: 0 auto;
    padding: 5px 10px;
}

.border_1_red {
  border:solid 1px blue;
}

.border_0 {
  border-width: 0px;
}

.total-column {
    text-align:right;
}

.max_width100 {
  max-width: 100px;
}

.max_width150 {
  max-width: 150px;
}

.st-selected > td {
  background: aliceblue;
}

.radio1 {
    width: 1.7em;
    height: 1.7em;
}

.floating1{
    display: inline-block;
    float: center;
    vertical-align: middle;
    padding: 5px 10px ;
}

/* Override the radio-inline as we use larger radio buttons*/
.radio-inline, .checkbox-inline {
    padding-left: 25px;
    text-indent: 20px;
    float: center;
}

.translateLang {
  top: 0;
}

.switchlang {
  position: absolute;
  padding-right: 10px;
  top: 0;
  text-align: left;
  line-height: 30px;
}
.popup_bg {
  background-color: white;
}
.snappy-heading1 {
  color : #E97283;
  font-size : 1.2em;
  font-weight: bold;
}
.bulk-sms-green-text {
  color: #62c44a;
}
.bulk-sms-red-text {
  color: #ff2626;
}
.snappy_group_box {
  border-width : 1px;
  border-radius: 6px;
  border-style: solid;
  border-color: #dddddd;
  padding : 10px;
}
